summaryrefslogtreecommitdiff
path: root/net-im/utox
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-10-27 18:38:05 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-10-27 18:38:05 +0200
commit24934e623441310f644e5f72855b0f2bf9f3cd1a (patch)
treea453939bf58199bc2c3ff27bcf0accf2b221c6c4 /net-im/utox
parent687f45092b4f4ccf33765cee7427f054bae22344 (diff)
Incoming! Moving Rogento.git to kogaion-desktop. Finally
Diffstat (limited to 'net-im/utox')
-rw-r--r--net-im/utox/metadata.xml7
-rw-r--r--net-im/utox/utox-9999.ebuild60
2 files changed, 67 insertions, 0 deletions
diff --git a/net-im/utox/metadata.xml b/net-im/utox/metadata.xml
new file mode 100644
index 00000000..cc3fe249
--- /dev/null
+++ b/net-im/utox/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-wanted@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>
diff --git a/net-im/utox/utox-9999.ebuild b/net-im/utox/utox-9999.ebuild
new file mode 100644
index 00000000..41676f8e
--- /dev/null
+++ b/net-im/utox/utox-9999.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit fdo-mime gnome2-utils toolchain-funcs git-2
+
+DESCRIPTION="Lightweight Tox client"
+HOMEPAGE="https://github.com/notsecure/uTox.git"
+EGIT_REPO_URI="git://github.com/notsecure/uTox.git
+ https://github.com/notsecure/uTox.git"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+dbus"
+
+RDEPEND="net-libs/tox[av]
+ media-libs/freetype
+ media-libs/libv4l
+ media-libs/libvpx
+ media-libs/openal
+ x11-libs/libX11
+ x11-libs/libXext
+ dbus? ( sys-apps/dbus )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ epatch_user
+}
+
+src_configure() {
+ # respect CFLAGS
+ sed -i \
+ -e '/CFLAGS/s# -g ##' \
+ Makefile || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" DBUS=$(usex dbus "1" "0")
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="/usr" install
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}